package com.yifan.yf_ads.bean;

import org.json.JSONException;
import org.json.JSONObject;

public class ExpressAdBean {
    String positionId;
    String uniqueKey;

    int containerWidth;
    int containerHeight;

    boolean isAutoShow;

    public static ExpressAdBean parseObject(String jsonString) throws JSONException {
        ExpressAdBean bean = new ExpressAdBean();
        JSONObject jsonObject = new JSONObject(jsonString);
        bean.positionId = jsonObject.optString("positionId");
        bean.uniqueKey = jsonObject.optString("uniqueKey");
        bean.containerWidth = jsonObject.optInt("width");
        bean.containerHeight = jsonObject.optInt("height");
        bean.isAutoShow = jsonObject.optBoolean("loadAndShow");
        return bean;
    }


    public String getPositionId() {
        return positionId;
    }

    public void setPositionId(String positionId) {
        this.positionId = positionId;
    }

    public String getUniqueKey() {
        return uniqueKey;
    }

    public void setUniqueKey(String uniqueKey) {
        this.uniqueKey = uniqueKey;
    }

    public int getContainerWidth() {
        return containerWidth;
    }

    public void setContainerWidth(int containerWidth) {
        this.containerWidth = containerWidth;
    }

    public int getContainerHeight() {
        return containerHeight;
    }

    public void setContainerHeight(int containerHeight) {
        this.containerHeight = containerHeight;
    }

    public boolean isAutoShow() {
        return isAutoShow;
    }

    public void setAutoShow(boolean autoShow) {
        isAutoShow = autoShow;
    }
}
